# CheckableComponentSpec

@Incubating
interface CheckableComponentSpec : ComponentSpec

A ComponentSpec that is directly checkable via a specified task.

#### Inheritors

BinarySpec

## Functions

checkedBy
Link copied to clipboard
abstract fun checkedBy(tasks: Array<Any>)
Adds tasks required to check this component.
getCheckTask
Link copied to clipboard
@Nullable
abstract fun getCheckTask(): @Nullable Task
Returns the task responsible for checking this component.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getName
Link copied to clipboard
abstract fun getName(): String
getProjectPath
Link copied to clipboard
abstract fun getProjectPath(): String
setCheckTask
Link copied to clipboard
abstract fun setCheckTask(@Nullable checkTask: @Nullable Task)
Specifies the task responsible for checking this component.